package abacus.springboot.example.api.view;

import java.util.List;

import abacus.springboot.example.dao.JcBillPhoto;
import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "回购主单" , name = "ApiBillHg")
public class ApiBillHg {

	@Schema(description="回购单单号", required = false, example="HG202411180001")
	private String id;
	
	@Schema(description = "稽查单号", required = false, example = "JC202411180001")
	private String billid;
	
	@Schema(description="状态", required = false, pattern = "待提交：1，待付款：2，待分仓（已付款）：3，已分仓（待出库）：4，已出库：5", example = "1")
	private int status;
	
	@Schema(description = "订单来源", required = false, example = "掌上华致")
	private String source;
	
	@Schema(description = "客户编码", required = false, example = "20200089")
	private String account;
	
	@Schema(description = "客户名称", required = false, example = "广东众之品酒有限公司")
	private String accountname;
	
	@Schema(description = "总数量", required = false, example = "6")
	private double quantity;
	
	@Schema(description = "总金额", required = false, example = "4800")
	private double subtotal;
	
	@Schema(description = "运费", required = false, example = "50")
	private double freight;
	
	@Schema(description = "运营经理编码", required = false, example = "zhangsan")
	private String manager;
	
	@Schema(description = "运营经理名称", required = false, example = "张三")
	private String managername;
	
	@Schema(description = "收货人姓名", required = false, example = "李四")
	private String consignee;
	
	@Schema(description = "收货人电话", required = false, example = "1888888888")
	private String consigneephone;
	
	@Schema(description = "省", required = false, example = "10001")
	private String province;
	
	@Schema(description = "省", required = false, example = "广东")
	private String provincename;
	
	@Schema(description = "市", required = false, example = "1000101")
	private String city;
	
	@Schema(description = "市", required = false, example = "广州")
	private String cityname;
	
	@Schema(description = "区", required = false, example = "100010101")
	private String area;
	
	@Schema(description = "区", required = false, example = "越秀区")
	private String areaname;
	
	@Schema(description = "详细地址", required = false, example = "东风24路")
	private String address;
	
	@Schema(description = "收货方式", required = false, example = "送货上门")
	private String receiveway;
	
	@Schema(description = "订单备注", required = false, example = "订单备注~~~")
	private String remark;
	
	@Schema(description = "运营备注", required = false, example = "运营备注~~~")
	private String remark1;
	
	@Schema(description = "物流公司名称", required = false, example = "京东快递")
	private String logisticsname;
	
	@Schema(description = "物流公司代码", required = false, example = "JD")
	private String logisticscode;
	
	@Schema(description = "物流方式", required = false, example = "")
	private String logisticstype;
	
	@Schema(description = "物流单号", required = false, example = "JD00001")
	private String logisticsno;
	
	@Schema(description="回购明细", required = false, example="")
	private List<ApiBillHgItem> items;
	
	@Schema(description="回购支付明细", required = false, example="")
	private List<ApiBillHgPayment> payments;
	
	@Schema(description="回购通知函", required = false, example="")
	private List<JcBillPhoto> tzhUrl;
	
	@Schema(description="违规回购通知函", required = false, example="")
	private List<JcBillPhoto> wgtzhUrl;
	
	@Schema(description="支付凭证", required = false, example="")
	private List<JcBillPhoto> zfpzUrl;
	
	@Schema(description="回购通知函", required = false, example="")
	private String tzhUrls;
//	
//	@Schema(description="违规回购通知函", required = false, example="")
//	private String wgtzhUrl;
//	
//	@Schema(description="支付凭证", required = false, example="")
//	private List<String> zfpzUrl;

	public String getId() {
		return id;
	}

	public String getTzhUrls() {
		return tzhUrls;
	}

	public void setTzhUrls(String tzhUrls) {
		this.tzhUrls = tzhUrls;
	}

	public List<JcBillPhoto> getTzhUrl() {
		return tzhUrl;
	}

	public void setTzhUrl(List<JcBillPhoto> tzhUrl) {
		this.tzhUrl = tzhUrl;
	}

	public List<JcBillPhoto> getWgtzhUrl() {
		return wgtzhUrl;
	}

	public void setWgtzhUrl(List<JcBillPhoto> wgtzhUrl) {
		this.wgtzhUrl = wgtzhUrl;
	}

	public List<JcBillPhoto> getZfpzUrl() {
		return zfpzUrl;
	}

	public void setZfpzUrl(List<JcBillPhoto> zfpzUrl) {
		this.zfpzUrl = zfpzUrl;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getBillid() {
		return billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}

	public String getAccount() {
		return account;
	}

	public void setAccount(String account) {
		this.account = account;
	}

	public String getAccountname() {
		return accountname;
	}

	public void setAccountname(String accountname) {
		this.accountname = accountname;
	}

	public double getQuantity() {
		return quantity;
	}

	public void setQuantity(double quantity) {
		this.quantity = quantity;
	}

	public double getSubtotal() {
		return subtotal;
	}

	public void setSubtotal(double subtotal) {
		this.subtotal = subtotal;
	}

	public double getFreight() {
		return freight;
	}

	public void setFreight(double freight) {
		this.freight = freight;
	}

	public String getManager() {
		return manager;
	}

	public void setManager(String manager) {
		this.manager = manager;
	}

	public String getManagername() {
		return managername;
	}

	public void setManagername(String managername) {
		this.managername = managername;
	}

	public String getConsignee() {
		return consignee;
	}

	public void setConsignee(String consignee) {
		this.consignee = consignee;
	}

	public String getConsigneephone() {
		return consigneephone;
	}

	public void setConsigneephone(String consigneephone) {
		this.consigneephone = consigneephone;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getProvincename() {
		return provincename;
	}

	public void setProvincename(String provincename) {
		this.provincename = provincename;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getCityname() {
		return cityname;
	}

	public void setCityname(String cityname) {
		this.cityname = cityname;
	}

	public String getArea() {
		return area;
	}

	public void setArea(String area) {
		this.area = area;
	}

	public String getAreaname() {
		return areaname;
	}

	public void setAreaname(String areaname) {
		this.areaname = areaname;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getReceiveway() {
		return receiveway;
	}

	public void setReceiveway(String receiveway) {
		this.receiveway = receiveway;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getRemark1() {
		return remark1;
	}

	public void setRemark1(String remark1) {
		this.remark1 = remark1;
	}

	public String getLogisticsname() {
		return logisticsname;
	}

	public void setLogisticsname(String logisticsname) {
		this.logisticsname = logisticsname;
	}

	public String getLogisticscode() {
		return logisticscode;
	}

	public void setLogisticscode(String logisticscode) {
		this.logisticscode = logisticscode;
	}

	public String getLogisticstype() {
		return logisticstype;
	}

	public void setLogisticstype(String logisticstype) {
		this.logisticstype = logisticstype;
	}

	public String getLogisticsno() {
		return logisticsno;
	}

	public void setLogisticsno(String logisticsno) {
		this.logisticsno = logisticsno;
	}

	public List<ApiBillHgItem> getItems() {
		return items;
	}

	public void setItems(List<ApiBillHgItem> items) {
		this.items = items;
	}

	public List<ApiBillHgPayment> getPayments() {
		return payments;
	}

	public void setPayments(List<ApiBillHgPayment> payments) {
		this.payments = payments;
	}
}











